#include <stdio.h>
#include "tine.h"
#include "tbufsrv.h"

#define NPOINTS 1024
#define NCURVES 10
float sinbuf[NCURVES][NPOINTS];

void updateSine(int devnr)
{ /* used internally -> don't bother with bounds checking */
  float *target = sinbuf[devnr];
  int i, k;
  char dev[64];
  for (i=0; i<NPOINTS; i++)
  {
    target[i] = devnr;
  }
  sprintf(dev,"SineDevice%d",devnr); // bug: used i instead of devnr
  pushBufferedData("Sine",dev,(BYTE *)target,NPOINTS,FALSE);
  return;
}

void update(void)
{
  int i;
  for (i=0; i<NCURVES; i++) updateSine(i);
}

int main(int argc,char *argv[])
{
  char c;
  AttachServerEx(NULL,NULL,0,update,500);

  SystemWaitCycleTimer();
  return 0;
}
